Method: projects.locations.restorePlans.setTags

Updates tags directly bound to a GCP resource.

HTTP request

POST https://gkebackup.googleapis.com/v1/{name=projects/*/locations/*/restorePlans/*}:setTags

The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog

Path parameters

Parameters
name

string

Required. The full resource name of the service resource.

Request body

The request body contains data with the following structure:

JSON representation
{
  "tags": {
    string: string,
    ...
  },
  "requestId": string,
  "etag": string
}
Fields
tags

map (key: string, value: string)

Required. These bindings will override any bindings previously set and will be effective immediately. Each item in the map must be expressed as " : ". For example: "123/environment" : "production", "123/costCenter" : "marketing"

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

requestId

string

Optional. A unique identifier for this request. Must be a valid UUID. This request is only idempotent if a requestId is provided.

etag

string

Optional. A checksum based on the current bindings which can be passed to prevent race conditions. If not passed, etag check would be skipped.

Response body

If successful, the response body contains an instance of SetTagsResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.